--- /dev/null	Tue Feb 27 22:32:20 2018
+++ new/usr/src/pkg/manifests/system-library-libsysdemangle.mf	Tue Feb 27 22:32:20 2018
@@ -0,0 +1,43 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2017 Jason King
+#
+
+set name=pkg.fmri value=pkg:/system/library/libsysdemangle@$(PKGVERS)
+set name=pkg.description value="Software libraries for demangling symbols"
+set name=pkg.summary value="Symbol demangling support"
+set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=variant.arch value=$(ARCH)
+dir path=usr group=sys
+dir path=usr/lib
+dir path=usr/lib/$(ARCH64)
+file path=usr/lib/$(ARCH64)/libsysdemangle.so.1
+file path=usr/lib/$(ARCH64)/llib-lsysdemangle.ln
+file path=usr/lib/libsysdemangle.so.1
+file path=usr/lib/llib-lsysdemangle
+file path=usr/lib/llib-lsysdemangle.ln
+license lic_CDDL license=lic_CDDL
+license usr/src/lib/libsysdemangle/THIRDPARTYLICENSE \
+    license=usr/src/lib/libsysdemangle/THIRDPARTYLICENSE
+link path=usr/lib/$(ARCH64)/libsysdemangle.so target=./libsysdemangle.so.1
+link path=usr/lib/libsysdemangle.so target=./libsysdemangle.so.1
